/**
 * Marlin 3D Printer Firmware
 * Copyright (c) 2019 MarlinFirmware [https://github.com/MarlinFirmware/Marlin]
 *
 * Based on Sprinter and grbl.
 * Copyright (c) 2011 Camiel Gubbels / Erik van der Zalm
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
#pragma once

/**
 * Spanish
 *
 * LCD Menu Messages
 * See also http://marlinfw.org/docs/development/lcd_language.html
 *
 */

#define THIS_LANGUAGES_SPECIAL_SYMBOLS      _UxGT ("¡¿ªáéíóúÁÉÍÓÚ")
#define DISPLAY_CHARSET_ISO10646_1
#define CHARSIZE 2

#define WELCOME_MSG                         MACHINE_NAME _UxGT(" lista")
#define MSG_YES                             _UxGT("SI")
#define MSG_NO                              _UxGT("NO")
#define MSG_BACK                            _UxGT("Atrás")
#define MSG_MEDIA_ABORTING                  _UxGT("Cancelando...")
#define MSG_MEDIA_INSERTED                  _UxGT("SD/USB insertado")
#define MSG_MEDIA_REMOVED                   _UxGT("SD/USB retirado")
#define MSG_MEDIA_RELEASED                  _UxGT("SD/USB lanzado")
#define MSG_MEDIA_WAITING                   _UxGT("Esperando al SD/USB")
#define MSG_MEDIA_READ_ERROR                _UxGT("Error lectura SD/USB")
#define MSG_MEDIA_USB_REMOVED               _UxGT("Disp. USB retirado")
#define MSG_MEDIA_USB_FAILED                _UxGT("Inicio USB fallido")
#define MSG_LCD_ENDSTOPS                    _UxGT("Endstops") // Max length 8 characters
#define MSG_LCD_SOFT_ENDSTOPS               _UxGT("Soft Endstops")
#define MSG_MAIN                            _UxGT("Menú principal")
#define MSG_ADVANCED_SETTINGS               _UxGT("Ajustes avanzados")
#define MSG_CONFIGURATION                   _UxGT("Configuración")
#define MSG_AUTOSTART                       _UxGT("Inicio automático")
#define MSG_DISABLE_STEPPERS                _UxGT("Apagar motores")
#define MSG_DEBUG_MENU                      _UxGT("Menú depuración")
#define MSG_PROGRESS_BAR_TEST               _UxGT("Prob. barra progreso")
#define MSG_AUTO_HOME                       _UxGT("Llevar al origen")
#define MSG_AUTO_HOME_X                     _UxGT("Origen X")
#define MSG_AUTO_HOME_Y                     _UxGT("Origen Y")
#define MSG_AUTO_HOME_Z                     _UxGT("Origen Z")
#define MSG_AUTO_Z_ALIGN                    _UxGT("Auto alineado Z")
#define MSG_LEVEL_BED_HOMING                _UxGT("Origen XYZ")
#define MSG_LEVEL_BED_WAITING               _UxGT("Pulsar para comenzar")
#define MSG_LEVEL_BED_NEXT_POINT            _UxGT("Siguiente punto")
#define MSG_LEVEL_BED_DONE                  _UxGT("¡Nivelación lista!")
#define MSG_Z_FADE_HEIGHT                   _UxGT("Compensación Altura")
#define MSG_SET_HOME_OFFSETS                _UxGT("Ajustar desfases")
#define MSG_HOME_OFFSETS_APPLIED            _UxGT("Desfase aplicada")
#define MSG_SET_ORIGIN                      _UxGT("Establecer origen")
#define MSG_PREHEAT_1                       _UxGT("Precalentar " PREHEAT_1_LABEL)
#define MSG_PREHEAT_1_N                     MSG_PREHEAT_1 _UxGT(" ")
#define MSG_PREHEAT_1_ALL                   MSG_PREHEAT_1 _UxGT(" Todo")
#define MSG_PREHEAT_1_END                   MSG_PREHEAT_1 _UxGT(" Fin")
#define MSG_PREHEAT_1_BEDONLY               MSG_PREHEAT_1 _UxGT(" Cama")
#define MSG_PREHEAT_1_SETTINGS              MSG_PREHEAT_1 _UxGT(" Ajuste")
#define MSG_PREHEAT_2                       _UxGT("Precalentar" PREHEAT_2_LABEL)
#define MSG_PREHEAT_2_N                     MSG_PREHEAT_2 _UxGT(" ")
#define MSG_PREHEAT_2_ALL                   MSG_PREHEAT_2 _UxGT(" Todo")
#define MSG_PREHEAT_2_END                   MSG_PREHEAT_2 _UxGT(" Fin")
#define MSG_PREHEAT_2_BEDONLY               MSG_PREHEAT_2 _UxGT(" Cama")
#define MSG_PREHEAT_2_SETTINGS              MSG_PREHEAT_2 _UxGT(" Ajuste")
#define MSG_PREHEAT_CUSTOM                  _UxGT("Precalen. Personali.")
#define MSG_COOLDOWN                        _UxGT("Enfriar")
#define MSG_LASER_MENU                      _UxGT("Control Láser")
#define MSG_LASER_OFF                       _UxGT("Láser Apagado")
#define MSG_LASER_ON                        _UxGT("Láser Encendido")
#define MSG_LASER_POWER                     _UxGT("Potencia Láser")
#define MSG_SPINDLE_MENU                    _UxGT("Control Mandrino")
#define MSG_SPINDLE_OFF                     _UxGT("Mandrino Apagado")
#define MSG_SPINDLE_ON                      _UxGT("Mandrino Encendido")
#define MSG_SPINDLE_POWER                   _UxGT("Potencia Mandrino")
#define MSG_SPINDLE_REVERSE                 _UxGT("Invertir giro")
#define MSG_SWITCH_PS_ON                    _UxGT("Encender Fuente")
#define MSG_SWITCH_PS_OFF                   _UxGT("Apagar Fuente")
#define MSG_EXTRUDE                         _UxGT("Extruir")
#define MSG_RETRACT                         _UxGT("Retraer")
#define MSG_MOVE_AXIS                       _UxGT("Mover ejes")
#define MSG_BED_LEVELING                    _UxGT("Nivelando Cama")
#define MSG_LEVEL_BED                       _UxGT("Nivelar Cama")
#define MSG_LEVEL_CORNERS                   _UxGT("Nivelar Esquinas")
#define MSG_NEXT_CORNER                     _UxGT("Siguente Esquina")
#define MSG_MESH_EDITOR                     _UxGT("Editor Mallado")
#define MSG_EDIT_MESH                       _UxGT("Editar Mallado")
#define MSG_EDITING_STOPPED                 _UxGT("Ed. Mallado parada")
#define MSG_PROBING_MESH                    _UxGT("Sondear Punto")
#define MSG_MESH_X                          _UxGT("Índice X")
#define MSG_MESH_Y                          _UxGT("Índice Y")
#define MSG_MESH_EDIT_Z                     _UxGT("Valor Z")
#define MSG_USER_MENU                       _UxGT("Comandos Personaliz.")
#define MSG_M48_TEST                        _UxGT("M48 Probar Sonda")
#define MSG_M48_POINT                       _UxGT("M48 Punto")
#define MSG_M48_DEVIATION                   _UxGT("Desviación")
#define MSG_IDEX_MENU                       _UxGT("Modo IDEX")
#define MSG_OFFSETS_MENU                    _UxGT("Desfase Boquillas")
#define MSG_IDEX_MODE_AUTOPARK              _UxGT("Auto-Aparcado")
#define MSG_IDEX_MODE_DUPLICATE             _UxGT("Duplicar")
#define MSG_IDEX_MODE_MIRRORED_COPY         _UxGT("Copia Reflejada")
#define MSG_IDEX_MODE_FULL_CTRL             _UxGT("Control Total")
#define MSG_X_OFFSET                        _UxGT("2ª Boquilla X")
#define MSG_Y_OFFSET                        _UxGT("2ª Boquilla Y")
#define MSG_Z_OFFSET                        _UxGT("2ª Boquilla Z")
#define MSG_UBL_DOING_G29                   _UxGT("Hacer G29")
#define MSG_UBL_TOOLS                       _UxGT("Herramientas UBL")
#define MSG_UBL_LEVEL_BED                   _UxGT("Nivel.Cama.Uni.(UBL)")
#define MSG_LCD_TILTING_MESH                _UxGT("Punto de inclinación")
#define MSG_UBL_MANUAL_MESH                 _UxGT("Crear Mallado man.")
#define MSG_UBL_BC_INSERT                   _UxGT("Colocar cuña y Medir")
#define MSG_UBL_BC_INSERT2                  _UxGT("Medir")
#define MSG_UBL_BC_REMOVE                   _UxGT("Retirar y Medir Cama")
#define MSG_UBL_MOVING_TO_NEXT              _UxGT("Mover al Siguente")
#define MSG_UBL_ACTIVATE_MESH               _UxGT("Activar UBL")
#define MSG_UBL_DEACTIVATE_MESH             _UxGT("Desactivar UBL")
#define MSG_UBL_SET_TEMP_BED                _UxGT("Temp. Cama")
#define MSG_UBL_BED_TEMP_CUSTOM             MSG_UBL_SET_TEMP_BED
#define MSG_UBL_SET_TEMP_HOTEND             _UxGT ("Hotend Temp")
#define MSG_UBL_HOTEND_TEMP_CUSTOM          MSG_UBL_SET_TEMP_HOTEND
#define MSG_UBL_MESH_EDIT                   _UxGT("Editar Mallado")
#define MSG_UBL_EDIT_CUSTOM_MESH            _UxGT("Edit. Mallado perso.")
#define MSG_UBL_FINE_TUNE_MESH              _UxGT("Ajuste fino Mallado")
#define MSG_UBL_DONE_EDITING_MESH           _UxGT("Term. edici. Mallado")
#define MSG_UBL_BUILD_CUSTOM_MESH           _UxGT("Crear Mallado Perso.")
#define MSG_UBL_BUILD_MESH_MENU             _UxGT("Crear Mallado")
#define MSG_UBL_BUILD_MESH_M1               _UxGT("Crear Mallado (" PREHEAT_1_LABEL ")")
#define MSG_UBL_BUILD_MESH_M2               _UxGT("Crear Mallado (" PREHEAT_2_LABEL ")")
#define MSG_UBL_BUILD_COLD_MESH             _UxGT("Crear Mallado Frío")
#define MSG_UBL_MESH_HEIGHT_ADJUST          _UxGT("Ajustar alt. Mallado")
#define MSG_UBL_MESH_HEIGHT_AMOUNT          _UxGT("Cantidad de altura")
#define MSG_UBL_VALIDATE_MESH_MENU          _UxGT("Validar Mallado")
#define MSG_UBL_VALIDATE_MESH_M1            _UxGT("Validar Mallado (" PREHEAT_1_LABEL ")")
#define MSG_UBL_VALIDATE_MESH_M2            _UxGT("Validar Mallado (" PREHEAT_2_LABEL ")")
#define MSG_UBL_VALIDATE_CUSTOM_MESH        _UxGT("Vali. Mallado perso.")
#define MSG_G26_HEATING_BED                 _UxGT("G26 Calentando Cama")
#define MSG_G26_HEATING_NOZZLE              _UxGT("G26 Calent. Boquilla")
#define MSG_G26_MANUAL_PRIME                _UxGT("Imprimado manual...")
#define MSG_G26_FIXED_LENGTH                _UxGT("Impri. longit. fija")
#define MSG_G26_PRIME_DONE                  _UxGT("Imprimación Lista")
#define MSG_G26_CANCELED                    _UxGT("G26 Cancelado")
#define MSG_G26_LEAVING                     _UxGT("Dejando G26")
#define MSG_UBL_CONTINUE_MESH               _UxGT("Contin. Mallado cama")
#define MSG_UBL_MESH_LEVELING               _UxGT("Nivelando Mallado")
#define MSG_UBL_3POINT_MESH_LEVELING        _UxGT("Nivelando 3Puntos")
#define MSG_UBL_GRID_MESH_LEVELING          _UxGT("Nivel. Mallado cuad.")
#define MSG_UBL_MESH_LEVEL                  _UxGT("Nivel de Mallado")
#define MSG_UBL_SIDE_POINTS                 _UxGT("Puntos Laterales")
#define MSG_UBL_MAP_TYPE                    _UxGT("Tipo de mapa ")
#define MSG_UBL_OUTPUT_MAP                  _UxGT("Salida Mapa mallado")
#define MSG_UBL_OUTPUT_MAP_HOST             _UxGT("Salida para el host")
#define MSG_UBL_OUTPUT_MAP_CSV              _UxGT("Salida para CSV")
#define MSG_UBL_OUTPUT_MAP_BACKUP           _UxGT("Off Printer Backup")
#define MSG_UBL_INFO_UBL                    _UxGT("Salida Info. UBL")
#define MSG_UBL_FILLIN_AMOUNT               _UxGT("Cantidad de relleno")
#define MSG_UBL_MANUAL_FILLIN               _UxGT("Relleno manual")
#define MSG_UBL_SMART_FILLIN                _UxGT("Relleno inteligente")
#define MSG_UBL_FILLIN_MESH                 _UxGT("Mallado de relleno")
#define MSG_UBL_INVALIDATE_ALL              _UxGT("Invalidar todo")
#define MSG_UBL_INVALIDATE_CLOSEST          _UxGT("Invalidar proximos")
#define MSG_UBL_FINE_TUNE_ALL               _UxGT("Ajustar Fino Todo")
#define MSG_UBL_FINE_TUNE_CLOSEST           _UxGT("Ajustar Fino proxi.")
#define MSG_UBL_STORAGE_MESH_MENU           _UxGT("Almacen de Mallado")
#define MSG_UBL_STORAGE_SLOT                _UxGT("Huecos de memoria")
#define MSG_UBL_LOAD_MESH                   _UxGT("Cargar Mallado cama")
#define MSG_UBL_SAVE_MESH                   _UxGT("Guardar Mallado cama")
#define MSG_MESH_LOADED                     _UxGT("Mallado %i Cargado")
#define MSG_MESH_SAVED                      _UxGT("Mallado %i Guardado")
#define MSG_UBL_NO_STORAGE                  _UxGT("Sin guardar")
#define MSG_UBL_SAVE_ERROR                  _UxGT("Error: Guardar UBL")
#define MSG_UBL_RESTORE_ERROR               _UxGT("Error: Restaurar UBL")
#define MSG_UBL_Z_OFFSET                    _UxGT("Desfase de Z: ")
#define MSG_UBL_Z_OFFSET_STOPPED            _UxGT("Desfase de Z Parado")
#define MSG_UBL_STEP_BY_STEP_MENU           _UxGT("UBL Paso a Paso")

#define MSG_LED_CONTROL                     _UxGT("Control LED")
#define MSG_LEDS                            _UxGT("Luzes")
#define MSG_LED_PRESETS                     _UxGT("Luz predefinida")
#define MSG_SET_LEDS_RED                    _UxGT("Rojo")
#define MSG_SET_LEDS_ORANGE                 _UxGT("Naranja")
#define MSG_SET_LEDS_YELLOW                 _UxGT("Amarillo")
#define MSG_SET_LEDS_GREEN                  _UxGT("Verde")
#define MSG_SET_LEDS_BLUE                   _UxGT("Azul")
#define MSG_SET_LEDS_INDIGO                 _UxGT("Índigo")
#define MSG_SET_LEDS_VIOLET                 _UxGT("Violeta")
#define MSG_SET_LEDS_WHITE                  _UxGT("Blanco")
#define MSG_SET_LEDS_DEFAULT                _UxGT("Por defecto")
#define MSG_CUSTOM_LEDS                     _UxGT("Luces personalizadas")
#define MSG_INTENSITY_R                     _UxGT("Intensidad Rojo")
#define MSG_INTENSITY_G                     _UxGT("Intensidad Verde")
#define MSG_INTENSITY_B                     _UxGT("Intensidad Azul")
#define MSG_INTENSITY_W                     _UxGT("Intensidad Blanco")
#define MSG_LED_BRIGHTNESS                  _UxGT("Brillo")

#define MSG_MOVING                          _UxGT("Moviendo...")
#define MSG_FREE_XY                         _UxGT("Libre XY")
#define MSG_MOVE_X                          _UxGT("Mover X")
#define MSG_MOVE_Y                          _UxGT("Mover Y")
#define MSG_MOVE_Z                          _UxGT("Mover Z")
#define MSG_MOVE_E                          _UxGT("Extrusor")
#define MSG_HOTEND_TOO_COLD                 _UxGT("Hotend muy frio")
#define MSG_MOVE_Z_DIST                     _UxGT("Mover %smm")
#define MSG_MOVE_01MM                       _UxGT("Mover 0.1mm")
#define MSG_MOVE_1MM                        _UxGT("Mover 1mm")
#define MSG_MOVE_10MM                       _UxGT("Mover 10mm")
#define MSG_SPEED                           _UxGT("Velocidad")
#define MSG_BED_Z                           _UxGT("Cama Z")
#define MSG_NOZZLE                          _UxGT("Boquilla")
#define MSG_BED                             _UxGT("Cama")
#define MSG_CHAMBER                         _UxGT("Recinto")
#define MSG_FAN_SPEED                       _UxGT("Ventilador")
#define MSG_EXTRA_FAN_SPEED                 _UxGT("Vel. Ext. ventilador")
#define MSG_FLOW                            _UxGT("Flujo")
#define MSG_CONTROL                         _UxGT("Control")
#define MSG_MIN                             _UxGT(" ") LCD_STR_THERMOMETER _UxGT(" Min")
#define MSG_MAX                             _UxGT(" ") LCD_STR_THERMOMETER _UxGT(" Max")
#define MSG_FACTOR                          _UxGT(" ") LCD_STR_THERMOMETER _UxGT(" Fact")
#define MSG_AUTOTEMP                        _UxGT("Temperatura Auto.")
#define MSG_LCD_ON                          _UxGT("Encender")
#define MSG_LCD_OFF                         _UxGT("Apagar")
#define MSG_PID_P                           _UxGT("PID-P")
#define MSG_PID_I                           _UxGT("PID-I")
#define MSG_PID_D                           _UxGT("PID-D")
#define MSG_PID_C                           _UxGT("PID-C")
#define MSG_SELECT                          _UxGT("Seleccionar")
#define MSG_ACC                             _UxGT("Aceleración")
#define MSG_JERK                            _UxGT("Jerk")
#if IS_KINEMATIC
  #define MSG_VA_JERK                       _UxGT("Va-Jerk")
  #define MSG_VB_JERK                       _UxGT("Vb-Jerk")
  #define MSG_VC_JERK                       _UxGT("Vc-Jerk")
#else
  #define MSG_VA_JERK                       _UxGT("Vx-Jerk")
  #define MSG_VB_JERK                       _UxGT("Vy-Jerk")
  #define MSG_VC_JERK                       _UxGT("Vz-Jerk")
#endif
#define MSG_VE_JERK                         _UxGT("Ve-Jerk")
#define MSG_JUNCTION_DEVIATION              _UxGT("Junction Dev")
#define MSG_VELOCITY                        _UxGT("Velocidad")
#define MSG_VMAX                            _UxGT("Vmax")
#define MSG_VMIN                            _UxGT("Vmin")
#define MSG_VTRAV_MIN                       _UxGT("Vel. viaje min")
#define MSG_ACCELERATION                    MSG_ACC
#define MSG_AMAX                            _UxGT("Acel. max")
#define MSG_A_RETRACT                       _UxGT("Acel. retrac.")
#define MSG_A_TRAVEL                        _UxGT("Acel. Viaje")
#define MSG_STEPS_PER_MM                    _UxGT("Pasos/mm")
#if IS_KINEMATIC
  #define MSG_ASTEPS                        _UxGT("A pasos/mm")
  #define MSG_BSTEPS                        _UxGT("B pasos/mm")
  #define MSG_CSTEPS                        _UxGT("C pasos/mm")
#else
  #define MSG_ASTEPS                        _UxGT("X pasos/mm")
  #define MSG_BSTEPS                        _UxGT("Y pasos/mm")
  #define MSG_CSTEPS                        _UxGT("Z pasos/mm")
#endif
#define MSG_ESTEPS                          _UxGT("E pasos/mm")
#define MSG_E1STEPS                         _UxGT("E1 pasos/mm")
#define MSG_E2STEPS                         _UxGT("E2 pasos/mm")
#define MSG_E3STEPS                         _UxGT("E3 pasos/mm")
#define MSG_E4STEPS                         _UxGT("E4 pasos/mm")
#define MSG_E5STEPS                         _UxGT("E5 pasos/mm")
#define MSG_E6STEPS                         _UxGT("E6 pasos/mm")
#define MSG_TEMPERATURE                     _UxGT("Temperatura")
#define MSG_MOTION                          _UxGT("Movimiento")
#define MSG_FILAMENT                        _UxGT("Filamento")
#define MSG_VOLUMETRIC_ENABLED              _UxGT("E en mm") MSG_CUBED
#define MSG_FILAMENT_DIAM                   _UxGT("Fil. Dia.")
#define MSG_FILAMENT_UNLOAD                 _UxGT("Descarga mm")
#define MSG_FILAMENT_LOAD                   _UxGT("Carga mm")
#define MSG_ADVANCE_K                       _UxGT("Avance K")
#define MSG_CONTRAST                        _UxGT("Contraste LCD")
#define MSG_STORE_EEPROM                    _UxGT("Guardar EEPROM")
#define MSG_LOAD_EEPROM                     _UxGT("Cargar EEPROM")
#define MSG_RESTORE_FAILSAFE                _UxGT("Rest. fábrica")
#define MSG_INIT_EEPROM                     _UxGT("Inicializar EEPROM")
#define MSG_MEDIA_UPDATE                    _UxGT("Actualizar SD/USB")
#define MSG_RESET_PRINTER                   _UxGT("Resetear Impresora")
#define MSG_REFRESH                         _UxGT("Recargar")
#define MSG_WATCH                           _UxGT("Pantalla de Inf.")
#define MSG_PREPARE                         _UxGT("Preparar")
#define MSG_TUNE                            _UxGT("Ajustar")
#define MSG_START_PRINT                     _UxGT("Iniciar impresión")
#define MSG_BUTTON_NEXT                     _UxGT("Siguinte")
#define MSG_BUTTON_INIT                     _UxGT("Iniciar")
#define MSG_BUTTON_STOP                     _UxGT("Parar")
#define MSG_BUTTON_PRINT                    _UxGT("Imprimir")
#define MSG_BUTTON_RESET                    _UxGT("Reiniciar")
#define MSG_BUTTON_CANCEL                   _UxGT("Cancelar")
#define MSG_BUTTON_DONE                     _UxGT("Listo")
#define MSG_PAUSE_PRINT                     _UxGT("Pausar impresión")
#define MSG_RESUME_PRINT                    _UxGT("Reanudar impresión")
#define MSG_STOP_PRINT                      _UxGT("Detener impresión")
#define MSG_OUTAGE_RECOVERY                 _UxGT("Recuper. por interr.")
#define MSG_MEDIA_MENU                      _UxGT("Imprim. desde SD/USB")
#define MSG_NO_MEDIA                        _UxGT("SD/USB no presente")
#define MSG_DWELL                           _UxGT("Reposo...")
#define MSG_USERWAIT                        _UxGT("Pulsar para Reanudar")
#define MSG_PRINT_PAUSED                    _UxGT("Impresión Pausada")
#define MSG_PRINTING                        _UxGT("Imprimiendo...")
#define MSG_PRINT_ABORTED                   _UxGT("Impresión cancelada")
#define MSG_NO_MOVE                         _UxGT("Sin movimiento")
#define MSG_KILLED                          _UxGT("MUERTA")
#define MSG_STOPPED                         _UxGT("DETENIDA")
#define MSG_CONTROL_RETRACT                 _UxGT("Retraer mm")
#define MSG_CONTROL_RETRACT_SWAP            _UxGT("Interc. Retraer mm")
#define MSG_CONTROL_RETRACTF                _UxGT("Retraer  V")
#define MSG_CONTROL_RETRACT_ZHOP            _UxGT("Levantar mm")
#define MSG_CONTROL_RETRACT_RECOVER         _UxGT("DesRet mm")
#define MSG_CONTROL_RETRACT_RECOVER_SWAP    _UxGT("Interc. DesRet mm")
#define MSG_CONTROL_RETRACT_RECOVERF        _UxGT("DesRet V")
#define MSG_CONTROL_RETRACT_RECOVER_SWAPF   _UxGT("S UnRet V")
#define MSG_AUTORETRACT                     _UxGT("Retracción Auto.")
#define MSG_FILAMENT_SWAP_LENGTH            _UxGT("Inter. longitud")
#define MSG_FILAMENT_PURGE_LENGTH           _UxGT("Purgar longitud")
#define MSG_TOOL_CHANGE                     _UxGT("Cambiar Herramienta")
#define MSG_TOOL_CHANGE_ZLIFT               _UxGT("Aumentar Z")
#define MSG_SINGLENOZZLE_PRIME_SPD          _UxGT("Prime Speed")
#define MSG_SINGLENOZZLE_RETRACT_SPD        _UxGT("Vel. de retracción")
#define MSG_NOZZLE_STANDBY                  _UxGT("Colocar boquilla")
#define MSG_FILAMENTCHANGE                  _UxGT("Cambiar filamento")
#define MSG_FILAMENTLOAD                    _UxGT("Cargar filamento")
#define MSG_FILAMENTUNLOAD                  _UxGT("Descargar filamento")
#define MSG_FILAMENTUNLOAD_ALL              _UxGT("Descargar todo")
#define MSG_INIT_MEDIA                      _UxGT("Iniciar SD/USB")
#define MSG_CHANGE_MEDIA                    _UxGT("Cambiar SD/USB")
#define MSG_RELEASE_MEDIA                   _UxGT("Lanzar SD/USB")
#define MSG_ZPROBE_OUT                      _UxGT("Sonda Z fuera cama")
#define MSG_SKEW_FACTOR                     _UxGT("Factor de desviación")
#define MSG_BLTOUCH                         _UxGT("BLTouch")
#define MSG_BLTOUCH_SELFTEST                _UxGT("Cmd: Auto-Prueba")
#define MSG_BLTOUCH_RESET                   _UxGT("Cmd: Reiniciar")
#define MSG_BLTOUCH_STOW                    _UxGT("Cmd: Bajar pistón")
#define MSG_BLTOUCH_DEPLOY                  _UxGT("Cmd: Subir pistón")
#define MSG_BLTOUCH_SW_MODE                 _UxGT("Cmd: Modo Software")
#define MSG_BLTOUCH_5V_MODE                 _UxGT("Cmd: Modo 5V")
#define MSG_BLTOUCH_OD_MODE                 _UxGT("Cmd: Modo OD")
#define MSG_BLTOUCH_MODE_STORE              _UxGT("Cmd: Modo almacenar")
#define MSG_BLTOUCH_MODE_STORE_5V           _UxGT("Poner BLTouch a 5V")
#define MSG_BLTOUCH_MODE_STORE_OD           _UxGT("Poner BLTouch a OD")
#define MSG_BLTOUCH_MODE_ECHO               _UxGT("Informe de drenaje")
#define MSG_BLTOUCH_MODE_CHANGE             _UxGT("PELIGRO: ¡Una mala configuración puede producir daños! ¿Proceder igualmente?")
#define MSG_TOUCHMI_PROBE                   _UxGT("TouchMI")
#define MSG_TOUCHMI_INIT                    _UxGT("Iniciar TouchMI")
#define MSG_TOUCHMI_ZTEST                   _UxGT("Test de desfase Z")
#define MSG_TOUCHMI_SAVE                    _UxGT("Guardar")
#define MSG_MANUAL_DEPLOY_TOUCHMI           _UxGT("Subir TouchMI")
#define MSG_MANUAL_DEPLOY                   _UxGT("Subir Sonda Z")
#define MSG_MANUAL_STOW                     _UxGT("Bajar Sonda Z")
#define MSG_HOME_FIRST                      _UxGT("Origen %s%s%s Primero")
#define MSG_ZPROBE_ZOFFSET                  _UxGT("Desfase Z")
#define MSG_BABYSTEP_X                      _UxGT("Micropaso X")
#define MSG_BABYSTEP_Y                      _UxGT("Micropaso Y")
#define MSG_BABYSTEP_Z                      _UxGT("Micropaso Z")
#define MSG_BABYSTEP_TOTAL                  _UxGT("Total")
#define MSG_ENDSTOP_ABORT                   _UxGT("Cancelado - Endstop")
#define MSG_HEATING_FAILED_LCD              _UxGT("Calent. fallido")
#define MSG_HEATING_FAILED_LCD_BED          _UxGT("Calent. cama fallido")
#define MSG_HEATING_FAILED_LCD_CHAMBER      _UxGT("Calent. Cám. fallido")
#define MSG_ERR_REDUNDANT_TEMP              _UxGT("Err: TEMP. REDUN.")
#define MSG_THERMAL_RUNAWAY                 _UxGT("ESCAPE TERMICO")
#define MSG_THERMAL_RUNAWAY_BED             _UxGT("ESC. TERMICO CAMA")
#define MSG_THERMAL_RUNAWAY_CHAMBER         _UxGT("ESC. TERMICO CAMARA")
#define MSG_ERR_MAXTEMP                     _UxGT("Err:TEMP. MÁX")
#define MSG_ERR_MINTEMP                     _UxGT("Err:TEMP. MIN")
#define MSG_ERR_MAXTEMP_BED                 _UxGT("Err:TEMP. MÁX CAMA")
#define MSG_ERR_MINTEMP_BED                 _UxGT("Err:TEMP. MIN CAMA")
#define MSG_ERR_MAXTEMP_CHAMBER             _UxGT("Err:TEMP. MÁX CÁMARA")
#define MSG_ERR_MINTEMP_CHAMBER             _UxGT("Err:TEMP. MIN CÁMARA")
#define MSG_ERR_Z_HOMING                    _UxGT("Origen XY Primero")
#define MSG_HALTED                          _UxGT("IMPRESORA DETENIDA")
#define MSG_PLEASE_RESET                    _UxGT("Por favor, reinicie")
#define MSG_SHORT_DAY                       _UxGT("d") // One character only
#define MSG_SHORT_HOUR                      _UxGT("h") // One character only
#define MSG_SHORT_MINUTE                    _UxGT("m") // One character only
#define MSG_HEATING                         _UxGT("Calentando...")
#define MSG_COOLING                         _UxGT("Enfriando...")
#define MSG_BED_HEATING                     _UxGT("Calentando Cama...")
#define MSG_BED_COOLING                     _UxGT("Enfriando Cama...")
#define MSG_CHAMBER_HEATING                 _UxGT("Calentando Cámara...")
#define MSG_CHAMBER_COOLING                 _UxGT("Enfriando Cámara...")
#define MSG_DELTA_CALIBRATE                 _UxGT("Calibración Delta")
#define MSG_DELTA_CALIBRATE_X               _UxGT("Calibrar X")
#define MSG_DELTA_CALIBRATE_Y               _UxGT("Calibrar Y")
#define MSG_DELTA_CALIBRATE_Z               _UxGT("Calibrar Z")
#define MSG_DELTA_CALIBRATE_CENTER          _UxGT("Calibrar Centro")
#define MSG_DELTA_SETTINGS                  _UxGT("Configuración Delta")
#define MSG_DELTA_AUTO_CALIBRATE            _UxGT("Auto Calibración")
#define MSG_DELTA_HEIGHT_CALIBRATE          _UxGT("Est. Altura Delta")
#define MSG_DELTA_Z_OFFSET_CALIBRATE        _UxGT("Ajustar Sonda Z")
#define MSG_DELTA_DIAG_ROD                  _UxGT("Barra Diagonal")
#define MSG_DELTA_HEIGHT                    _UxGT("Altura")
#define MSG_DELTA_RADIUS                    _UxGT("Radio")
#define MSG_INFO_MENU                       _UxGT("Acerca de Impresora")
#define MSG_INFO_PRINTER_MENU               _UxGT("Info. Impresora")
#define MSG_3POINT_LEVELING                 _UxGT("Nivelando 3puntos")
#define MSG_LINEAR_LEVELING                 _UxGT("Nivelando Lineal")
#define MSG_BILINEAR_LEVELING               _UxGT("Nivelando Bilineal")
#define MSG_UBL_LEVELING                    _UxGT("Nivelando UBL")
#define MSG_MESH_LEVELING                   _UxGT("Nivelando en Mallado")
#define MSG_INFO_STATS_MENU                 _UxGT("Estadísticas Imp.")
#define MSG_INFO_BOARD_MENU                 _UxGT("Info. Controlador")
#define MSG_INFO_THERMISTOR_MENU            _UxGT("Termistores")
#define MSG_INFO_EXTRUDERS                  _UxGT("Extrusores")
#define MSG_INFO_BAUDRATE                   _UxGT("Baudios")
#define MSG_INFO_PROTOCOL                   _UxGT("Protocolo")
#define MSG_CASE_LIGHT                      _UxGT("Luz cabina")
#define MSG_CASE_LIGHT_BRIGHTNESS           _UxGT("Brillo cabina")

#define MSG_EXPECTED_PRINTER                _UxGT("Impresora incorrecta")

#if LCD_WIDTH >= 20
  #define MSG_INFO_PRINT_COUNT              _UxGT("Cont. de impresión")
  #define MSG_INFO_COMPLETED_PRINTS         _UxGT("Completadas")
  #define MSG_INFO_PRINT_TIME               _UxGT("Tiempo total de imp.")
  #define MSG_INFO_PRINT_LONGEST            _UxGT("Impresión más larga")
  #define MSG_INFO_PRINT_FILAMENT           _UxGT("Total Extruido")
#else
  #define MSG_INFO_PRINT_COUNT              _UxGT("Impresiones")
  #define MSG_INFO_COMPLETED_PRINTS         _UxGT("Completadas")
  #define MSG_INFO_PRINT_TIME               _UxGT("Total")
  #define MSG_INFO_PRINT_LONGEST            _UxGT("Más larga")
  #define MSG_INFO_PRINT_FILAMENT           _UxGT("Extruido")
#endif
#define MSG_INFO_MIN_TEMP                   _UxGT("Temp. Mínima")
#define MSG_INFO_MAX_TEMP                   _UxGT("Temp. Máxima")
#define MSG_INFO_PSU                        _UxGT("Fuente alimentación")
#define MSG_DRIVE_STRENGTH                  _UxGT("Fuerza de empuje")
#define MSG_DAC_PERCENT                     _UxGT("Driver %")
#define MSG_ERROR_TMC                       _UxGT("ERROR CONEX. TMC")
#define MSG_DAC_EEPROM_WRITE                _UxGT("Escribe DAC EEPROM")
#define MSG_FILAMENT_CHANGE_HEADER_PAUSE    _UxGT("IMPRESIÓN PAUSADA")
#define MSG_FILAMENT_CHANGE_HEADER_LOAD     _UxGT("CARGAR FILAMENTO")
#define MSG_FILAMENT_CHANGE_HEADER_UNLOAD   _UxGT("DESCARGAR FILAMENTO")
#define MSG_FILAMENT_CHANGE_OPTION_HEADER   _UxGT("OPC. REINICIO:")
#define MSG_FILAMENT_CHANGE_OPTION_PURGE    _UxGT("Purgar más")
#define MSG_FILAMENT_CHANGE_OPTION_RESUME   _UxGT("Continuar imp.")
#define MSG_FILAMENT_CHANGE_NOZZLE          _UxGT("  Boquilla: ")
#define MSG_RUNOUT_SENSOR                   _UxGT("Sensor de sección")
#define MSG_RUNOUT_DISTANCE_MM              _UxGT("Dist de secc. mm")
#define MSG_ERR_HOMING_FAILED               _UxGT("Ir a origen Fallado")
#define MSG_ERR_PROBING_FAILED              _UxGT("Sondeo Fallado")
#define MSG_M600_TOO_COLD                   _UxGT("M600: Muy Frio")

#define MSG_MMU2_FILAMENT_CHANGE_HEADER     _UxGT("CAMBIAR FILAMENTO")
#define MSG_MMU2_CHOOSE_FILAMENT_HEADER     _UxGT("ELIJE FILAMENTO")
#define MSG_MMU2_MENU                       _UxGT("MMU")
#define MSG_MMU2_WRONG_FIRMWARE             _UxGT("¡Actu. MMU Firmware!")
#define MSG_MMU2_NOT_RESPONDING             _UxGT("MMU Necesita Cuidado")
#define MSG_MMU2_RESUME                     _UxGT("Continuar imp.")
#define MSG_MMU2_RESUMING                   _UxGT("Resumiendo...")
#define MSG_MMU2_LOAD_FILAMENT              _UxGT("Cargar Filamento")
#define MSG_MMU2_LOAD_ALL                   _UxGT("Cargar Todo")
#define MSG_MMU2_LOAD_TO_NOZZLE             _UxGT("Cargar hasta boqui.")
#define MSG_MMU2_EJECT_FILAMENT             _UxGT("Expulsar Filamento")
#define MSG_MMU2_EJECT_FILAMENT0            _UxGT("Expulsar Filamento 1")
#define MSG_MMU2_EJECT_FILAMENT1            _UxGT("Expulsar Filamento 2")
#define MSG_MMU2_EJECT_FILAMENT2            _UxGT("Expulsar Filamento 3")
#define MSG_MMU2_EJECT_FILAMENT3            _UxGT("Expulsar Filamento 4")
#define MSG_MMU2_EJECT_FILAMENT4            _UxGT("Expulsar Filamento 5")
#define MSG_MMU2_UNLOAD_FILAMENT            _UxGT("Descargar Filamento")
#define MSG_MMU2_LOADING_FILAMENT           _UxGT("Cargando Fil. %i...")
#define MSG_MMU2_EJECTING_FILAMENT          _UxGT("Expulsando Fil. ...")
#define MSG_MMU2_UNLOADING_FILAMENT         _UxGT("Descargando Fil....")
#define MSG_MMU2_ALL                        _UxGT("Todo")
#define MSG_MMU2_FILAMENT0                  _UxGT("Filamento 1")
#define MSG_MMU2_FILAMENT1                  _UxGT("Filamento 2")
#define MSG_MMU2_FILAMENT2                  _UxGT("Filamento 3")
#define MSG_MMU2_FILAMENT3                  _UxGT("Filamento 4")
#define MSG_MMU2_FILAMENT4                  _UxGT("Filamento 5")
#define MSG_MMU2_RESET                      _UxGT("Reiniciar MMU")
#define MSG_MMU2_RESETTING                  _UxGT("Reiniciando MMU...")
#define MSG_MMU2_EJECT_RECOVER              _UxGT("Retirar, y pulsar")

#define MSG_MIX                             _UxGT("Mezcla")
#define MSG_MIX_COMPONENT                   _UxGT("Componente")
#define MSG_MIXER                           _UxGT("Miezclador")
#define MSG_GRADIENT                        _UxGT("Degradado")
#define MSG_FULL_GRADIENT                   _UxGT("Degradado Total")
#define MSG_TOGGLE_MIX                      _UxGT("Mezcla Conmutada")
#define MSG_CYCLE_MIX                       _UxGT("Mezcla Cíclica")
#define MSG_GRADIENT_MIX                    _UxGT("Mezcla de Degradado")
#define MSG_REVERSE_GRADIENT                _UxGT("Degradado inverso")
#define MSG_ACTIVE_VTOOL                    _UxGT("Activar Herr.V")
#define MSG_START_VTOOL                     _UxGT("Inicio Herr.V")
#define MSG_END_VTOOL                       _UxGT("   Fin Herr.V")
#define MSG_GRADIENT_ALIAS                  _UxGT("Alias Herr.V")
#define MSG_RESET_VTOOLS                    _UxGT("Reiniciar Herr.V")
#define MSG_COMMIT_VTOOL                    _UxGT("Cometer mezc. Herr.V")
#define MSG_VTOOLS_RESET                    _UxGT("Herr.V reiniciados")
#define MSG_START_Z                         _UxGT("Inicio Z")
#define MSG_END_Z                           _UxGT("   Fin Z")

#define MSG_GAMES                           _UxGT("Games")
#define MSG_BRICKOUT                        _UxGT("Brickout")
#define MSG_INVADERS                        _UxGT("Invaders")
#define MSG_SNAKE                           _UxGT("Sn4k3")
#define MSG_MAZE                            _UxGT("Maze")

#if LCD_HEIGHT >= 4
  #define MSG_ADVANCED_PAUSE_WAITING_1      _UxGT("Pulsar el botón para")
  #define MSG_ADVANCED_PAUSE_WAITING_2      _UxGT("reanudar impresión")
  #define MSG_PAUSE_PRINT_INIT_1            _UxGT("Aparcando...")
  #define MSG_FILAMENT_CHANGE_INIT_1        _UxGT("Esperando para")
  #define MSG_FILAMENT_CHANGE_INIT_2        _UxGT("iniciar el cambio")
  #define MSG_FILAMENT_CHANGE_INIT_3        _UxGT("de filamento")
  #define MSG_FILAMENT_CHANGE_INSERT_1      _UxGT("Inserte el filamento")
  #define MSG_FILAMENT_CHANGE_INSERT_2      _UxGT("y pulse el botón")
  #define MSG_FILAMENT_CHANGE_INSERT_3      _UxGT("para continuar...")
  #define MSG_FILAMENT_CHANGE_HEAT_1        _UxGT("Pulse el botón para")
  #define MSG_FILAMENT_CHANGE_HEAT_2        _UxGT("calentar la boquilla")
  #define MSG_FILAMENT_CHANGE_HEATING_1     _UxGT("Calentando boquilla")
  #define MSG_FILAMENT_CHANGE_HEATING_2     _UxGT("Espere por favor...")
  #define MSG_FILAMENT_CHANGE_UNLOAD_1      _UxGT("Espere para")
  #define MSG_FILAMENT_CHANGE_UNLOAD_2      _UxGT("liberar el filamento")
  #define MSG_FILAMENT_CHANGE_PURGE_1       _UxGT("Espere para")
  #define MSG_FILAMENT_CHANGE_PURGE_2       _UxGT("purgar el filamento")
  #define MSG_FILAMENT_CHANGE_CONT_PURGE_1  _UxGT("Pulse para finalizar")
  #define MSG_FILAMENT_CHANGE_CONT_PURGE_2  _UxGT("la purga de filamen.")
  #define MSG_FILAMENT_CHANGE_RESUME_1      _UxGT("Esperando impresora")
  #define MSG_FILAMENT_CHANGE_RESUME_2      _UxGT("para reanudar...")
#else
  #define MSG_ADVANCED_PAUSE_WAITING_1      _UxGT("Pulse para continuar")
  #define MSG_PAUSE_PRINT_INIT_1            _UxGT("Aparcando...")
  #define MSG_FILAMENT_CHANGE_INIT_1        _UxGT("Por Favor espere...")
  #define MSG_FILAMENT_CHANGE_INSERT_1      _UxGT("Inserte y Pulse")
  #define MSG_FILAMENT_CHANGE_HEAT_1        _UxGT("Pulse para Calentar")
  #define MSG_FILAMENT_CHANGE_HEATING_1     _UxGT("Calentando...")
  #define MSG_FILAMENT_CHANGE_UNLOAD_1      _UxGT("Liberando...")
  #define MSG_FILAMENT_CHANGE_LOAD_1        _UxGT("Cargando...")
  #define MSG_FILAMENT_CHANGE_PURGE_1       _UxGT("Purgando...")
  #define MSG_FILAMENT_CHANGE_CONT_PURGE_1  _UxGT("Pulse para finalizar")
  #define MSG_FILAMENT_CHANGE_RESUME_1      _UxGT("Reanudando...")
#endif

#define MSG_TMC_DRIVERS                     _UxGT("Controladores TMC")
#define MSG_TMC_CURRENT                     _UxGT("Amperaje Controlador")
#define MSG_TMC_HYBRID_THRS                 _UxGT("Límite Hibrido")
#define MSG_TMC_HOMING_THRS                 _UxGT("Origen sin sensores")
#define MSG_TMC_STEPPING_MODE               _UxGT("Modo de pasos")
#define MSG_TMC_STEALTH_ENABLED             _UxGT("StealthChop Habilit.")

#define MSG_SERVICE_RESET                   _UxGT("Reiniciar")
#define MSG_SERVICE_IN                      _UxGT(" dentro:")

#define MSG_BACKLASH                        _UxGT("Backlash")
#define MSG_BACKLASH_CORRECTION             _UxGT("Correction")
#define MSG_BACKLASH_SMOOTHING              _UxGT("Suavizado")
